Update failure from 3.2.2 to 3.2.3

Added by Hang Xie over 1 year ago

I'm try to update from 3.2.2 to 3.2.3 follow the RedmineUpgrade Guide.

But failure in database migrate:


redmine@hejiadev:~/redmine-repo$ bundle exec rake db:migrate RAILS_ENV=production
rake aborted!
Don't know how to build task 'test:scm:units' (see --tasks)
/home/redmine/redmine-repo/lib/tasks/testing.rake:87:in `block (2 levels) in <top (required)>'
/home/redmine/redmine-repo/lib/tasks/testing.rake:22:in `block in <top (required)>'
/home/redmine/redmine-repo/lib/tasks/testing.rake:1:in `<top (required)>'
/home/redmine/redmine-repo/Rakefile:7:in `<top (required)>'
(See full trace by running task with --trace)
redmine@hejiadev:~/redmine-repo$ bundle exec rake db:migrate RAILS_ENV=production --trace
rake aborted!
Don't know how to build task 'test:scm:units' (see --tasks)
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/task_manager.rb:71:in `[]'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/task.rb:361:in `[]'
/home/redmine/redmine-repo/lib/tasks/testing.rake:87:in `block (2 levels) in <top (required)>'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/task_manager.rb:218:in `in_namespace'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/dsl_definition.rb:140:in `namespace'
/home/redmine/redmine-repo/lib/tasks/testing.rake:22:in `block in <top (required)>'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/task_manager.rb:218:in `in_namespace'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/dsl_definition.rb:140:in `namespace'
/home/redmine/redmine-repo/lib/tasks/testing.rake:1:in `<top (required)>'
/usr/local/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5.2/lib/active_support/dependencies.rb:268:in `load'
/usr/local/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5.2/lib/active_support/dependencies.rb:268:in `block in load'
/usr/local/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5.2/lib/active_support/dependencies.rb:240:in `load_dependency'
/usr/local/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5.2/lib/active_support/dependencies.rb:268:in `load'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/engine.rb:658:in `block in run_tasks_blocks'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/engine.rb:658:in `each'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/engine.rb:658:in `run_tasks_blocks'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/application.rb:452:in `run_tasks_blocks'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/engine.rb:453:in `load_tasks'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/railtie.rb:194:in `public_send'
/usr/local/lib/ruby/gems/2.1.0/gems/railties-4.2.5.2/lib/rails/railtie.rb:194:in `method_missing'
/home/redmine/redmine-repo/Rakefile:7:in `<top (required)>'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/rake_module.rb:28:in `load'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/rake_module.rb:28:in `load_rakefile'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:686:in `raw_load_rakefile'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:96:in `block in load_rakefile'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:178:in `standard_exception_handling'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:95:in `load_rakefile'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:79:in `block in run'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:178:in `standard_exception_handling'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/lib/rake/application.rb:77:in `run'
/usr/local/lib/ruby/gems/2.1.0/gems/rake-11.2.0/exe/rake:27:in `<top (required)>'
/usr/local/bin/rake:23:in `load'
/usr/local/bin/rake:23:in `<main>'

Here is the bundle update log:


Resolving dependencies...........
Using rake 11.2.0 (was 11.1.2)
Using i18n 0.7.0
Using json 1.8.3
Using minitest 5.9.0 (was 5.8.4)
Using thread_safe 0.3.5
Using builder 3.2.2
Using erubis 2.7.0
Using mini_portile2 2.1.0 (was 2.0.0)
Using pkg-config 1.1.7
Using rack 1.6.4
Using mime-types-data 3.2016.0521 (was 3.2016.0221)
Using arel 6.0.3
Using addressable 2.4.0
Using bundler 1.11.2
Using coderay 1.1.1
Using coffee-script-source 1.10.0
Installing execjs 2.7.0 (was 2.6.0)
Using thor 0.19.1
Using concurrent-ruby 1.0.2
Installing tilt 2.0.5 (was 2.0.2)
Using sexp_processor 4.7.0
Using htmlentities 4.3.1
Using libv8 3.16.14.15
Using mimemagic 0.3.1
Using mysql2 0.3.21 (was 0.3.20)
Using net-ldap 0.12.1
Using ruby-openid 2.3.0
Using rbpdf-font 1.19.0
Using redcarpet 3.3.4
Using ref 2.0.0
Using request_store 1.0.5
Using require_patch 0.1.0
Using rmagick 2.15.4
Using tzinfo 1.2.2
Using nokogiri 1.6.8 (was 1.6.7.2)
Using rack-test 0.6.3
Using mime-types 3.1 (was 3.0)
Using css_parser 1.3.7
Using coffee-script 2.4.1
Using sprockets 3.6.0
Using haml 4.0.7
Using ruby_parser 3.8.2
Using rack-openid 1.4.2
Using rbpdf 1.19.0
Using therubyracer 0.12.2
Using activesupport 4.2.5.2
Using loofah 2.0.3
Using mail 2.6.4
Using roadie 3.1.1
Using html2haml 2.0.0
Using rails-deprecated_sanitizer 1.0.3
Using globalid 0.3.6
Using activemodel 4.2.5.2
Using rails-html-sanitizer 1.0.3
Using rails-dom-testing 1.0.7
Using activejob 4.2.5.2
Using activerecord 4.2.5.2
Using protected_attributes 1.1.3
Using actionview 4.2.5.2
Using acts-as-taggable-on 3.5.0
Using actionpack 4.2.5.2
Using actionmailer 4.2.5.2
Using actionpack-action_caching 1.1.1
Using actionpack-xml_parser 1.0.2
Using railties 4.2.5.2
Installing kaminari 0.17.0 (was 0.16.3)
Using sprockets-rails 3.0.4
Using coffee-rails 4.1.1
Using haml-rails 0.9.0
Using jquery-rails 3.1.4
Using roadie-rails 1.1.1
Using rails 4.2.5.2
Using wice_grid 3.5.0
Bundle updated!
Gems in the groups development, test, postgresql and sqlite were not installed.

Then I rollback to version 3.2.2 but still failure in database migrate:

redmine@hejiadev:~/redmine-repo$ bundle exec rake db:migrate RAILS_ENV=production
rake aborted!
Don't know how to build task 'test:scm:units' (see --tasks)
/home/redmine/redmine-repo/lib/tasks/testing.rake:87:in `block (2 levels) in <top (required)>'
/home/redmine/redmine-repo/lib/tasks/testing.rake:22:in `block in <top (required)>'
/home/redmine/redmine-repo/lib/tasks/testing.rake:1:in `<top (required)>'
/home/redmine/redmine-repo/Rakefile:7:in `<top (required)>'
(See full trace by running task with --trace)

It's that any idea to solve?

Replies (1)

RE: Update failure from 3.2.2 to 3.2.3 - Added by Hang Xie over 1 year ago

Found out the problem, just rollback the rake version from 11.2.0 to 11.1.2.

(1-1/1)